package com.example.cezenPBX.DAO;

import com.example.cezenPBX.DTO.ReturnStatus;
import com.example.cezenPBX.entity.ExtensionsTable;
import com.example.cezenPBX.entity.PsAors;
import com.example.cezenPBX.entity.PsAuths;
import com.example.cezenPBX.entity.PsEndPoints;

public interface CezenPbxOpsDAO {

    boolean addNewEndPoint(PsEndPoints psEndPoints);

    ReturnStatus saveAnExtension(ExtensionsTable extensionsTable);

    ReturnStatus setThePasswordForSipEndpoint(PsAuths psAuths);

    ReturnStatus setTheAorsForTheEndPoint(PsAors psAors);

    int getTheHighestPriorityNumberByEndpoint(String endpoint);

    boolean deleteAnExtensionPoint(String endpoint);

    ReturnStatus saveAnExtensionByCharacters(ExtensionsTable extensionsTable);
}
